> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tracking codes

> Get the Google Analytics, Google Tag Manager and Meta Pixel IDs of the form. A value is null when it is not set.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/form-settings.yaml GET /forms/{form_id}/tracking_codes
openapi: 3.0.3
info:
  title: NeetoForm Form Settings APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /forms/{form_id}/tracking_codes:
    get:
      tags:
        - Tracking Codes
      summary: Get tracking codes
      description: >-
        Get the Google Analytics, Google Tag Manager and Meta Pixel IDs of the
        form. A value is null when it is not set.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/form_id_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/tracking_codes_response'
        '404':
          $ref: '#/components/responses/response_form_not_found'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    form_id_param:
      in: path
      name: form_id
      description: >-
        Unique ID of the form. Refer to [Getting the Form
        ID](/api/getting-form-id) for detailed instructions.
      required: true
      schema:
        type: string
  schemas:
    tracking_codes_response:
      type: object
      properties:
        tracking_codes:
          $ref: '#/components/schemas/tracking_codes'
    tracking_codes:
      type: object
      properties:
        ga_code:
          type: string
          nullable: true
          example: G-ABC123XYZ
        gtm_code:
          type: string
          nullable: true
          example: null
        pixel_id:
          type: string
          nullable: true
          example: '123456789012345'
    error_response:
      type: object
      properties:
        error:
          type: string
  responses:
    response_form_not_found:
      description: Not Found - The form does not exist
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error_response'
          example:
            error: Form does not exist.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.